Package Details: typora 0.9.81-1

Git Clone URL: https://aur.archlinux.org/typora.git (read-only)
Package Base: typora
Description: Typora will give you a seamless experience as both a reader and a writer.
Upstream URL: https://typora.io/
Keywords: markdown
Licenses: custom:"Copyright (c) 2015 Abner Lee All Rights Reserved."
Submitter: duckbrain
Maintainer: duckbrain
Last Packager: duckbrain
Votes: 71
Popularity: 4.77
First Submitted: 2016-09-28 06:28
Last Updated: 2019-12-02 22:57

Dependencies (3)

Required by (0)

Sources (1)

Pinned Comments

duckbrain commented on 2019-10-13 00:51

If you get the error ERROR: One or more files did not pass the validity check! or curl: (22) The requested URL returned error: 404, it might be that upstream has changed/removed a released package. They have a habit of doing that from time to time. Leave me a comment and I'll update the sum (or version).

duckbrain commented on 2019-10-13 00:50

New: The PKGBUILD will build with system electron if you set env ELECTRON=electron while building. Please try this out and provide feedback.

Edit: Thanks NicoHood for the PKGBUILD contributions.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

MrMuffin commented on 2017-08-10 22:26

@duckbrain I just updated Typora successfully. The app works perfectly :D

duckbrain commented on 2017-08-10 19:27

@MrMuffin You're right. The package was removed from https://www.typora.io/linux/Packages and there was a new release. At least this time upstream didn't just change the package without a new version number. I just pushed an update that at least builds a package. I haven't tested it running.

MrMuffin commented on 2017-08-10 16:16

Hi, I am getting this error:

curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading https://typora.io/./linux/typora_0.9.30_amd64.deb
Aborting...
==> ERROR: Makepkg was unable to build typora.

urldog commented on 2017-06-14 14:21

I was wondering why the linux package is a few dozen versions behind. Then I realized it's tracking the deb, instead of git. Typora is not open source. Oh well.

duckbrain commented on 2017-04-25 14:00

I did. My nightly diff of the Debian package index shows that they changed the package without incrementing the version.

Thanks for catching that. I updated the release number to reflect that.

tareqmahmud9 commented on 2017-04-24 21:38

@duckbrain
==> Validating source files with md5sums...
typora_0.9.29_amd64.deb ... FAILED
==> ERROR: One or more files did not pass the validity check!

Please Update Package Sums...
Thanks :)

duckbrain commented on 2017-01-25 00:40

Thanks @XuanYuan. I added the dependency.

XuanYuan commented on 2017-01-24 04:00

Seems that it depends `libxss` as well.

duckbrain commented on 2016-10-10 14:51

@coffeemakr Thanks, I added the dependency and fixed the permission setting.

coffeemakr commented on 2016-10-10 06:53

typora depends on gconf:

$ typora
typora: error while loading shared libraries: libgconf-2.so.4: cannot open shared object file: No such file or directory

after installing gconf it worked.
The permission "fix" is quite ugly because it also sets all files as executable.
I changed it to the following command:

find "$pkgdir" -type d -exec chmod 755 {} \;